Drupal.similarPopup = Drupal.similarPopup || {};
Drupal.similarPopup.closed = Drupal.similarPopup.closed || false;

(function($) {
  Drupal.behaviors.similarPopup = {
    attach: function (context, settings) {
      var similar = $('#similar-popup-wrapper', context);
      var nodeHeight = $('.node', context)[0].scrollHeight;
      var isVisible = false;

      similar.css({ 'right' : -similar.outerWidth() });

      $(function() {
        $(window).scroll(function () {
          if (!Drupal.similarPopup.closed) {
            if ((document.body.scrollHeight - $(document).scrollTop() <= $(this).height() || $(this).scrollTop() >= nodeHeight)
              && !isVisible) {

              similarShow();
            }
            else if ($(this).scrollTop() < nodeHeight && isVisible) {
              similarHide();
            }
          }
        });
      });

      similar.find('span.close').click(function() {
        Drupal.similarPopup.closed = true;
        similarHide();
      });

      /**
       * Show similar popup.
       */
      function similarShow() {
        isVisible = true;

        similar.stop(true).animate({
          right: 0
        }, 500);
      }

      /**
       * Hide similar popup.
       */
      function similarHide() {
        isVisible = false;

        similar.stop(true).animate({
          right: -similar.outerWidth()
        }, 500);
      }
    }
  }
})(jQuery);
